<template>
  <div>
    <div v-if="showNav">
      <AppNav></AppNav>
    </div>
    <router-view/>
  </div>
</template>
<script>
import AppNav from "@/components/AppNav.vue"

export default { 
  components: {AppNav},
  created(){
    //  let typesOf = ['guideClosure', 'contracts', 'materials', "materials/allMaterials/allMaterials" ]
    let typesOf = ['guideClosure', 'materials', 'contracts', "materials/allMaterials/allMaterials" ]
    // let typesOf = ['guideClosure', 'grid', 'contracts', 'materials', 'programs', 'segments', "programs/allprograms/allprograms", "materials/allMaterials/allMaterials", "movement"]
    for (let i = 0; i < typesOf.length; i++) {
      let payload = typesOf[i]
      this.$store.dispatch('getData', payload)
    }
    this.obteniendoData()
  },
  computed:{
    showNav(){
      const routes = ['viewPrint','viewPrintGeneral','login','userNotAllowed','pageNotFound','viewPrintPrice','printMovement']
      return !routes.includes(this.$route.name);
    }
  },
  methods: {
    obteniendoData () {
      let typesOf = ['Novelas', 'Series', 'Dibujos', 'Largometrajes', 'Miniseries', 'Especial' ]
      for(let i = 0; i < typesOf.length; i++) {
        let payload = { }
        payload.type = 'materials'
        payload.typeFilter = 'materialType'
        payload.typeOfContent = typesOf[i]
        payload.typeFilter2 = 'providerName',
        payload.typeMaterial = 'Enlatado'
        this.$store.dispatch('getDataFilters', payload)
      }
    },
  },
  sockets:{
    userUpdate(user){
      console.log('sio', user);
      if(localStorage.getItem('userEmail')){
        const userEmail = localStorage.getItem('userEmail');
        if(String(user.user.email) == String(userEmail)){
          localStorage.setItem('rutas', JSON.stringify(user.user.allowedRoutes))
          localStorage.setItem('subRutas', JSON.stringify(user.user.allowedSubRoutes))
          const rutas = user.user.allowedRoutes;
          const subRutas = user.user.allowedSubRoutes;
          this.$store.state.rutas = rutas;
          this.$store.state.subrutas = subRutas;
          let totalRutas = rutas.map(ruta=>ruta.url)
                  .concat(rutas.map(ruta=>ruta.children))
                  .concat(subRutas.map(ruta=>ruta.url))
                  .concat(subRutas.map(ruta=>ruta.children));

          if(!totalRutas.includes(this.$route.path)){
            this.$router.push(totalRutas[0])
          }   
        }

      }
    }
  }
}
</script>
